<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .contenedor {
            width: 100%;
            height: 90vh;
            display: grid;
            grid-template-columns: repeat (13, 1fr);
            grid-template-rows: 2fr 2fr 4fr 2fr 2fr 1fr;
            gap: 10px;
        }

        .contenedor>div {
            display: flex;
            justify-content: center;
            align-items: center;
            border: 3px solid black;
        }

        .header {
            background-color: greenyellow;
            grid-column: 1/14;
        }

        .aside {
            background-color: red;
            grid-column: 1/4;
            grid-row: 2/6;
        }

        .rosa {
            background-color: #ff00ff;
            grid-column: 4/14;
        }

        .naranja {
            background-color: orange;
            grid-column: 4/9;
        }

        .naranja1 {
            grid-column: 9/14;
        }

        .marino {
            background-color: blue;
            color: white;
            grid-row: 4/5;
            grid-column: 4/6;
        }

        .marino2 {
            grid-row: 4/5;
            grid-column: 6/8;
        }

        .marino3 {
            grid-row: 4/5;
            grid-column: 8/10;
        }

        .marino4 {
            grid-row: 4/5;
            grid-column: 10/12;
        }

        .marino5 {
            grid-row: 4/5;
            grid-column: 12/14;
        }

        .marino6 {
            grid-row: 5/6;
            grid-column: 4/6;
        }

        .marino7 {
            grid-row: 5/6;
            grid-column: 6/8;
        }

        .marino8 {
            grid-row: 5/6;
            grid-column: 8/10;
        }

        .marino9 {
            grid-row: 5/6;
            grid-column: 10/12;
        }

        .marino10 {
            grid-row: 5/6;
            grid-column: 12/14;
        }

        .footer {
            background-color: greenyellow;
            grid-column: 1/14;
        }
    </style>
</head>

<body>
    <div class="contenedor">
        <div class="header">Header</div>
        <div class="aside">Aside</div>
        <div class="rosa">Rosa</div>
        <div class="naranja">Naranja</div>
        <div class="naranja naranja1">Naranja</div>
        <div class="marino">Marino 1</div>
        <div class="marino marino2">Marino 2</div>
        <div class="marino marino3">Marino 3</div>
        <div class="marino marino4">Marino 4</div>
        <div class="marino marino5">Marino 5</div>
        <div class="marino marino6">Marino 6</div>
        <div class="marino marino7">Marino 7</div>
        <div class="marino marino8">Marino 8</div>
        <div class="marino marino9">Marino 9</div>
        <div class="marino marino10">Marino 10</div>
        <div class="footer">Footer</div>
    </div>
</body>

</html>